registerOutputEvent(Player,"startSap","int 1 60 3\tint 1 100 5");
registerOutputEvent(Player,"stopSap","int 0 99 99");

function Player::startSap(%this,%interval,%damage)
{
	%this.healthSapped = 0;
	cancel(%this.healthSap);
	
	%this.healthSap = %this.schedule(%interval * 1000,sapHealth,%damage,%interval);
}

function Player::stopSap(%this,%heal)
{
	%this.addHealth(min(%this.healthSapped,%heal));
	
	%this.healthSapped = 0;
	cancel(%this.healthSap);
}

function Player::sapHealth(%this,%damage,%interval)
{
	cancel(%this.healthSap);
	%this.healthSap = %this.schedule(%interval * 1000,sapHealth,%damage,%interval);
	
	%this.healthSapped += %damage;
	%this.addHealth(%damage * -1);
}
